Bug 1032588 - python-warlock-1.3.0 is available
Summary: python-warlock-1.3.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-warlock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2013-11-20 12:41 UTC by Upstream Release Monitoring
Modified: 2016-07-29 09:56 UTC (History)
7 users (show)

Fixed In Version: python-warlock-1.3.0-1.fc26, python-warlock-1.3.0-1.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-29 09:56:27 UTC


Attachments (Terms of Use)
Update to 1.2.0 and Python 3 support (4.28 KB, patch)
2016-06-06 15:28 UTC, Charalampos Stratakis
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (17.04 KB, patch)
2016-07-04 12:26 UTC, Upstream Release Monitoring
no flags Details | Diff
python 3 subpackage (4.33 KB, patch)
2016-07-27 09:28 UTC, Charalampos Stratakis
no flags Details | Diff
rebased patch (4.31 KB, application/mbox)
2016-07-27 10:41 UTC, Charalampos Stratakis
no flags Details

Description Upstream Release Monitoring 2013-11-20 12:41:22 UTC
Latest upstream release: 1.1.0
Current version/release in Fedora Rawhide: 1.0.1-1.fc21
URL: https://pypi.python.org/packages/source/w/warlock/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2015-10-13 00:20:57 UTC
Latest upstream release: 1.2.0
Current version/release in rawhide: 1.0.1-3.fc23
URL: https://pypi.python.org/pypi/warlock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 2 Upstream Release Monitoring 2015-10-13 00:21:02 UTC
Failed to kick off scratch build.

spectool was unable to grab new sources

old source: warlock-1.0.1-460080e.tar.gz
old sha256: 7af204c6b57f5c6c1184e1cee964ec48a926f27cee57a30ca864b686a4b09e81

new source: ./warlock-1.2.0-460080e.tar.gz
new sha256: 7af204c6b57f5c6c1184e1cee964ec48a926f27cee57a30ca864b686a4b09e81

Comment 3 Tomas Orsava 2016-04-01 13:34:05 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 4 Charalampos Stratakis 2016-06-06 15:28:54 UTC
Created attachment 1165255 [details]
Update to 1.2.0 and Python 3 support

Comment 5 Charalampos Stratakis 2016-06-06 15:29:49 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14394942

Comment 6 Charalampos Stratakis 2016-06-08 11:36:01 UTC
Also tested in mock.

Comment 7 Upstream Release Monitoring 2016-07-04 12:25:54 UTC
Latest upstream release: 1.3.0
Current version/release in rawhide: 1.0.1-4.fc24
URL: https://pypi.python.org/pypi/warlock

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4086/

Comment 8 Upstream Release Monitoring 2016-07-04 12:26:05 UTC
Patching or scratch build for python-warlock-1.0.1 failed.

Comment 9 Upstream Release Monitoring 2016-07-04 12:26:07 UTC
Created attachment 1176047 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 10 Upstream Release Monitoring 2016-07-04 12:26:10 UTC
Patches were not touched. All were applied properly

Comment 11 Lumír Balhar 2016-07-27 08:44:54 UTC
Hello Charalampos.

You have some mess in subpackages summary: "WTForms integration for peewee models".

Also, could you please rebase this patch and try to build this package with the newest version 1.3.0?

Comment 12 Charalampos Stratakis 2016-07-27 09:22:25 UTC
Yep that was a mistake from my part. Changing it.

Comment 13 Charalampos Stratakis 2016-07-27 09:28:52 UTC
Created attachment 1184550 [details]
python 3 subpackage

Comment 14 Miro Hrončok 2016-07-27 10:13:13 UTC
Applying: Update to 1.3.0, provide a python 3 subpackage and modernize SPEC
error: patch failed: python-warlock.spec:3
error: python-warlock.spec: patch does not apply
Patch failed at 0001 Update to 1.3.0, provide a python 3 subpackage and modernize SPEC
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".

Comment 15 Charalampos Stratakis 2016-07-27 10:41:24 UTC
Created attachment 1184581 [details]
rebased patch

Comment 17 Upstream Release Monitoring 2016-07-27 11:04:07 UTC
churchyard's python-warlock-1.3.0-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=785776

Comment 18 Alan Pevec 2016-07-27 11:06:54 UTC
Thanks for the patch and build, is targeting f25 enough or f24 backport is required?

Comment 19 Tomas Orsava 2016-07-27 12:19:15 UTC
Hi Alan, f25 is enough.

Comment 20 Charalampos Stratakis 2016-07-29 09:56:27 UTC
Repos are synched so did some more testing in mock. Everything works correct.


Note You need to log in before you can comment on or make changes to this bug.